scala.actors
class TickedScheduler

[source: `scala/actors/TickedScheduler.scala`]

`` `class` TickedScheduler
  `extends` java.lang.Thread `with` IScheduler

  This scheduler uses a thread pool to execute tasks that are generated by the execution of actors.

Version
  0.9.8
Author
  Philipp Haller

Values and Variables inherited from IScheduler
QUIT_TASK

Method Summary
`def` | execute (item : java.lang.Runnable) : Unit
`def` | getTask (worker : WorkerThread) : java.lang.Runnable
`def` | onLockup (handler : () => Unit) : Unit
`def` | onLockup (millis : Int)(handler : () => Unit) : Unit
`def` | pendReaction : Unit
`def` | printActorDump : Unit
`override def` | run : Unit
`def` | shutdown : Unit Shuts down all idle worker threads.
`def` | snapshot : scala.actors.LinkedQueue
`def` | start (task : java.lang.Runnable) : Unit
`def` | terminated (a : Actor) : Unit
`def` | tick (a : Actor) : Unit
`def` | unPendReaction : Unit

Methods inherited from java.lang.Thread
java.lang.Thread.start, java.lang.Thread.stop, java.lang.Thread.stop, java.lang.Thread.interrupt, java.lang.Thread.isInterrupted, java.lang.Thread.destroy, java.lang.Thread.isAlive, java.lang.Thread.suspend, java.lang.Thread.resume, java.lang.Thread.setPriority, java.lang.Thread.getPriority, java.lang.Thread.setName, java.lang.Thread.getName, java.lang.Thread.getThreadGroup, java.lang.Thread.countStackFrames, java.lang.Thread.join, java.lang.Thread.join, java.lang.Thread.join, java.lang.Thread.setDaemon, java.lang.Thread.isDaemon, java.lang.Thread.checkAccess, java.lang.Thread.toString, java.lang.Thread.getContextClassLoader, java.lang.Thread.setContextClassLoader, java.lang.Thread.getStackTrace, java.lang.Thread.getId, java.lang.Thread.getState, java.lang.Thread.getUncaughtExceptionHandler, java.lang.Thread.setUncaughtExceptionHandler

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` pendReaction : Unit

Overrides
  IScheduler.pendReaction

`` `def` unPendReaction : Unit

Overrides
  IScheduler.unPendReaction

`` `def` printActorDump : Unit

Overrides
  IScheduler.printActorDump

`` `def` start(task : java.lang.Runnable) : Unit

Overrides
  IScheduler.start

`` `def` terminated(a : Actor) : Unit

Overrides
  IScheduler.terminated

`` `def` onLockup(handler : () => Unit) : Unit

Overrides
  IScheduler.onLockup

`` `def` onLockup(millis : Int)(handler : () => Unit) : Unit

Overrides
  IScheduler.onLockup

`override` `def` run : Unit

Overrides
  java.lang.Thread.java.lang.Thread.run

`` `def` execute(item : java.lang.Runnable) : Unit

Parameters
  `item -` the task to be executed.

Overrides
  IScheduler.execute

`` `def` snapshot : scala.actors.LinkedQueue

Overrides
  IScheduler.snapshot

`` `def` getTask(worker : WorkerThread) : java.lang.Runnable

Parameters
  `worker -` the worker thread executing tasks
Returns
  the executed task

Overrides
  IScheduler.getTask

`` `def` tick(a : Actor) : Unit

Parameters
  `a -` the actor

Overrides
  IScheduler.tick

`` `def` shutdown : Unit

  Shuts down all idle worker threads.

Overrides
  IScheduler.shutdown